Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/sys/os_socket.h File Reference

`#include "ace/config-all.h"`
`#include "ace/os_include/sys/os_uio.h"`

Include dependency graph for os_socket.h:

This graph shows which files directly or indirectly include this file:

## Compounds
struct | msghdr
struct | msghdr
## Defines
#define | AF_ANY (-1)
#define | AF_SPIPE (AF_MAX + 1)
#define | AF_FILE (AF_MAX + 2)
#define | AF_DEV (AF_MAX + 3)
#define | AF_UPIPE (AF_SPIPE)
#define | ACE_ADDRESS_FAMILY_INET AF_INET
#define | ACE_PROTOCOL_FAMILY_INET PF_INET
## Typedefs
typedef const struct msghdr | ACE_SENDMSG_TYPE
typedef int | ACE_SOCKET_LEN

## Detailed Description

main sockets header

Id:
  os_socket.h,v 1.7 2003/11/20 22:34:42 shuston Exp

Author:
  Don Hinton <dhinton@dresystems.com> , This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_ADDRESS_FAMILY_INET AF_INET

#define ACE_PROTOCOL_FAMILY_INET PF_INET

#define AF_ANY (-1)

#define AF_DEV (AF_MAX + 3)

#define AF_FILE (AF_MAX + 2)

#define AF_SPIPE (AF_MAX + 1)

#define AF_UPIPE (AF_SPIPE)

## Typedef Documentation

typedef const struct msghdr ACE_SENDMSG_TYPE

typedef int ACE_SOCKET_LEN